<?php
namespace Awaki;

use Index\Http\{HttpResponseBuilder,HttpRequest};
use Index\Http\ErrorHandling\HtmlErrorHandler;

class RouterErrorHandler extends HtmlErrorHandler {
    #[\Override]
    public function handle(HttpResponseBuilder $response, HttpRequest $request, int $code, string $message): void {
        if($code === 404 || $code === 500) {
            $response->setTypeHTML();
            $response->accelRedirect(sprintf('/err%d.html', $code));
        } else
            parent::handle($response, $request, $code, $message);
    }
}
